Ceph and kernel versions that support given tunables

Following are the Ceph and kernel versions that support given tunables:

Tunables Ceph and kernel versions that support given tunables
CRUSH_TUNABLES Argonaut series, v0.48.1 or recent version v0.49 or greater Linux kernel version v3.6 or recent (for the file system and RBD kernel clients)
CRUSH_TUNABLES2 v0.55 or recent, including Bobtail series (v0.56.x) Linux kernel version v3.9 or recent (for the filesystem and RBD kernel clients)
CRUSH_TUNABLES3 v0.78 (Firefly) or recent version CentOS 7.1, Linux kernel version v3.15 or recent (for the filesystem and RBD kernel clients)
CRUSH_V4 v0.94 (Hammer) or recent CentOS 7.1, Linux kernel version v4.1 or recent (for the filesystem and ...

Get Ceph Cookbook - Second Edition now with O’Reilly online learning.

O’Reilly members experience live online training, plus books, videos, and digital content from 200+ publishers.